/***********************************************************************
* DR16 Widget class definitions
*/

__ICLASS __BGN
  __NAME DIALOG_WIDGET_BUTTON
  __NORMAL "pix/widgets/button_normal.png"
  __EDGE_SCALING   5 5 5 5
  __CLICKED "pix/widgets/button_clicked.png"
  __EDGE_SCALING   5 5 5 5
  __PADDING        5 5 5 5
__END


__ICLASS __BGN
  __NAME DIALOG_WIDGET_CHECK_BUTTON
  __NORMAL "pix/widgets/check_normal.png"
  __EDGE_SCALING   0 0 0 0
  __CLICKED "pix/widgets/check_normal_press.png"
  __EDGE_SCALING   0 0 0 0
  __NORMAL_ACTIVE "pix/widgets/check_clicked.png"
  __EDGE_SCALING   0 0 0 0
  __CLICKED_ACTIVE "pix/widgets/check_clicked_press.png"
  __EDGE_SCALING   0 0 0 0
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_RADIO_BUTTON
  __NORMAL "pix/widgets/radio_normal.png"
  __EDGE_SCALING   0 0 0 0
  __CLICKED "pix/widgets/radio_normal_press.png"
  __EDGE_SCALING   0 0 0 0
  __NORMAL_ACTIVE "pix/widgets/radio_clicked.png"
  __EDGE_SCALING   0 0 0 0
  __CLICKED_ACTIVE "pix/widgets/radio_clicked_press.png"
  __EDGE_SCALING   0 0 0 0
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SEPARATOR
  __NORMAL "pix/widgets/separator.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED "pix/widgets/separator.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_TABLE
  __NORMAL "pix/other/p_sel.png"
  __EDGE_SCALING   2 2 2 2
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_BASE_HORIZONTAL
  __NORMAL "pix/widgets/slide_horiz.png"
  __EDGE_SCALING   6 6 6 6
  __PADDING        6 6 6 6
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_KNOB_HORIZONTAL
  __NORMAL "pix/widgets/thumb_horiz.png"
  __EDGE_SCALING   5 5 3 3
  __PADDING        5 5 3 3
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_BASE_VERTICAL
  __NORMAL "pix/widgets/slide_vert.png"
  __EDGE_SCALING   6 6 6 6
  __PADDING        6 6 6 6
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_KNOB_VERTICAL
  __NORMAL "pix/widgets/thumb_vert.png"
  __EDGE_SCALING   3 3 5 5
  __PADDING        3 3 5 5
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_AREA
  __NORMAL "pix/widgets/sunken.png"
  __EDGE_SCALING   4 4 4 4
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME SETTINGS_DESKTOP_AREA
  __NORMAL "pix/widgets/bgarea.png"
  __FILLRULE       __TILE
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME SETTINGS_AREA_AREA
  __NORMAL "pix/widgets/bgarea.png"
  __FILLRULE       __TILE
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME SETTINGS_AREADESK_AREA
  __NORMAL "pix/widgets/raised.png"
  __EDGE_SCALING   4 4 4 4
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME "DIALOG"
  __NORMAL "pix/widgets/bgarea.png"
  __EDGE_SCALING 2 2 2 2
  __HILITED "pix/widgets/bgarea.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED "pix/widgets/bgarea.png.png"
  __EDGE_SCALING 2 2 2 2
  __PADDING 5 5 5 5   
__END

__ICLASS __BGN
  __NAME "DIALOG_BUTTON"
  __NORMAL "pix/other/Dialog_btn_1.png"
  __EDGE_SCALING 3 3 3 3
  __HILITED "pix/other/Dialog_btn_1.png"
  __EDGE_SCALING 3 3 3 3
  __CLICKED "pix/other/Dialog_btn_3.png"
  __EDGE_SCALING 3 3 3 3
  __PADDING 12 12 6 4
__END